package cn.com.countrygarden.bi.main.service.personnel.impl;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.service.project.ProjectJointPlanService;
import cn.com.countrygarden.bi.main.service.test.TestService;
import sun.security.rsa.RSAPadding;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.lang.StringUtils;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelAdvisorType;
import cn.com.countrygarden.bi.main.dao.personnel.PersonnelAdvisorTypeMapper;
import cn.com.countrygarden.bi.main.service.personnel.PersonnelAdvisorTypeService;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example.Criteria;
import cn.com.countrygarden.bi.main.core.Response;

/**
 * 导师类型-业务逻辑层实现
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-27
 */
@Service
public class PersonnelAdvisorTypeServiceImpl implements PersonnelAdvisorTypeService{
    @Autowired
    private PersonnelAdvisorTypeMapper personnelAdvisorTypeMapper;

    @Override
    public Result queryPageList(PersonnelAdvisorType personnelAdvisorType, int page, int size) {
        Page<Object> pageList = PageHelper.startPage(page, size);
        Condition condition=new Condition(PersonnelAdvisorType.class);
        Criteria criteria = condition.createCriteria();
//		TODO 添加条件
		personnelAdvisorTypeMapper.selectByCondition(condition);
        PageData data=new PageData(pageList);
        data.setData(pageList.getResult());
        return Response.response(data);
    }

    @Override
    public Result queryById(Integer id) {
        return Response.response(personnelAdvisorTypeMapper.selectByPrimaryKey(id));
    }

    @Override
    public Result add(PersonnelAdvisorType personnelAdvisorType, AccessToken accessToken) {
        personnelAdvisorTypeMapper.insert(personnelAdvisorType);
        return Response.response();
    }

    @Override
    public Result edit(PersonnelAdvisorType personnelAdvisorType, AccessToken accessToken) {
        personnelAdvisorTypeMapper.updateByPrimaryKey(personnelAdvisorType);
        return Response.response();
    }

    @Override
    public Result del(Integer id) {
        int count = personnelAdvisorTypeMapper.deleteByPrimaryKey(id);
        return Response.response(count);
    }

}